Bug 88629 - netstat header [delay]
netstat header [delay]
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: net-tools (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-11 12:20 EDT by acount closed by user
Modified: 2015-03-04 20:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-04 18:11:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description acount closed by user 2003-04-11 12:20:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020913

Description of problem:
I think is better to print the header before every output and
not every 8 outputs. Because it is a clearer view.
And will be a good idea has a [count] like vmstat to stop it automatically.

-thanks-

--- netstat.c   Fri Apr 11 17:26:39 2003
+++ netstat_new.c       Fri Apr 11 17:01:38 2003
@@ -1451,7 +1451,7 @@
     }
     if (flag_exp < 2) {
        ife_short = 1;
-       if(!(count % 8))
+       if(!(count % 1))
            printf(_("Iface     MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK
TX-ERR TX-DRP TX-OVR Flg\n"));
     }

-------


querida:~/rpmbuild/BUILD/net-tools-1.60 $ ./netstat -c -i
Kernel Interface table
Iface     MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
eth0       1500   0   21883      0      0      0   16762      0      0      0 BMRU
lo        16436   0       2      0      0      0       2      0      0      0 LRU
eth0       1500   0   21883      0      0      0   16762      0      0      0 BMRU
lo        16436   0       2      0      0      0       2      0      0      0 LRU
eth0       1500   0   21883      0      0      0   16762      0      0      0 BMRU
lo        16436   0       2      0      0      0       2      0      0      0 LRU
eth0       1500   0   21883      0      0      0   16762      0      0      0 BMRU
lo        16436   0       2      0      0      0       2      0      0      0 LRU
eth0       1500   0   21883      0      0      0   16762      0      0      0 BMRU
lo        16436   0       2      0      0      0       2      0      0      0 LRU
eth0       1500   0   21883      0      0      0   16762      0      0      0 BMRU
lo        16436   0       2      0      0      0       2      0      0      0 LRU
eth0       1500   0   21883      0      0      0   16762      0      0      0 BMRU
lo        16436   0       2      0      0      0       2      0      0      0 LRU
eth0       1500   0   21883      0      0      0   16762      0      0      0 BMRU
lo        16436   0       2      0      0      0       2      0      0      0 LRU
Iface     MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
eth0       1500   0   21883      0      0      0   16762      0      0      0 BMRU
lo        16436   0       2      0      0      0       2      0      0      0 LRU
eth0       1500   0   21883      0      0      0   16762      0      0      0 BMRU
lo        16436   0       2      0      0      0       2      0      0      0 LRU
eth0       1500   0   21883      0      0      0   16762      0      0      0 BMRU
lo        16436   0       2      0      0      0       2      0      0      0 LRU
eth0       1500   0   21883      0      0      0   16762      0      0      0 BMRU
lo        16436   0       2      0      0      0       2      0      0      0 LRU

versus:

querida:~/rpmbuild/BUILD/net-tools-1.60 $ ./netstat -c -i
Kernel Interface table
Iface     MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
eth0       1500   0   21899      0      0      0   16778      0      0      0 BMRU
lo        16436   0       2      0      0      0       2      0      0      0 LRU
Iface     MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
eth0       1500   0   21899      0      0      0   16778      0      0      0 BMRU
lo        16436   0       2      0      0      0       2      0      0      0 LRU
Iface     MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
eth0       1500   0   21899      0      0      0   16778      0      0      0 BMRU
lo        16436   0       2      0      0      0       2      0      0      0 LRU
Iface     MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
eth0       1500   0   21899      0      0      0   16778      0      0      0 BMRU
lo        16436   0       2      0      0      0       2      0      0      0 LRU
Iface     MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
eth0       1500   0   21899      0      0      0   16778      0      0      0 BMRU
lo        16436   0       2      0      0      0       2      0      0      0 LRU
Iface     MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
eth0       1500   0   21899      0      0      0   16778      0      0      0 BMRU
lo        16436   0       2      0      0      0       2      0      0      0 LRU
Iface     MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
eth0       1500   0   21899      0      0      0   16778      0      0      0 BMRU
lo        16436   0       2      0      0      0       2      0      0      0 LRU
Iface     MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
eth0       1500   0   21899      0      0      0   16778      0      0      0 BMRU


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.-
2.-
3.-
    

Additional info:
Comment 1 acount closed by user 2003-06-08 13:02:46 EDT
or better a intelligent system like vmstat that only print headers
when it is out of screen

Note You need to log in before you can comment on or make changes to this bug.